List contacts
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/crm/contacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/crm/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/crm/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_staff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "lead",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"company": "<string>",
"lifecycle_stage": "lead",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"source": "<string>",
"referral_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referred_by_contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interest": "<string>",
"desired_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"desired_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimated_value_cents": 123,
"currency": "<string>",
"priority": "low",
"score": 123,
"marketing_opt_in": true,
"sms_opt_in": true,
"consent_at": "2023-11-07T05:31:56Z",
"consent_source": "<string>",
"do_not_contact": true,
"unsubscribed_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"custom_fields": {},
"converted_patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"converted_at": "2023-11-07T05:31:56Z",
"lost_reason": "<string>",
"last_activity_at": "2023-11-07T05:31:56Z",
"next_task_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}CRM
List contacts
Permission: crm.contacts:read
List this clinic’s CRM contacts.
GET
/
v1
/
clinics
/
{clinic_id}
/
crm
/
contacts
List contacts
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/crm/contacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/crm/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/crm/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_staff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "lead",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"company": "<string>",
"lifecycle_stage": "lead",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"source": "<string>",
"referral_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referred_by_contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interest": "<string>",
"desired_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"desired_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimated_value_cents": 123,
"currency": "<string>",
"priority": "low",
"score": 123,
"marketing_opt_in": true,
"sms_opt_in": true,
"consent_at": "2023-11-07T05:31:56Z",
"consent_source": "<string>",
"do_not_contact": true,
"unsubscribed_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"custom_fields": {},
"converted_patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"converted_at": "2023-11-07T05:31:56Z",
"lost_reason": "<string>",
"last_activity_at": "2023-11-07T05:31:56Z",
"next_task_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100